Tags
Delete Knowledge Tag
Permanently delete a knowledge base tag. Does not delete the knowledge bases that were tagged.
DELETE
/
datasets
/
tags
Delete Knowledge Tag
curl --request DELETE \
--url https://{api_base_url}/datasets/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag_id": "<string>"
}
'import requests
url = "https://{api_base_url}/datasets/tags"
payload = { "tag_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_id: '<string>'})
};
fetch('https://{api_base_url}/datasets/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Body
application/json
Tag ID to delete.
Response
204
Success.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Delete Knowledge Tag
